Delete a customer owner
curl --request DELETE \
--url https://api-prod.blaaiz.com/api/external/customer/{customer}/owner/{owner} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/customer/{customer}/owner/{owner}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/customer/{customer}/owner/{owner}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/customer/{customer}/owner/{owner}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/customer/{customer}/owner/{owner}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Owner deleted successfully"
}{
"message": "Cannot remove an owner that has been approved or is currently under review."
}Owners (business customers)
Delete a customer owner
Removes a beneficial owner from the customer. Returns 400 if the owner is locked (status APPROVED or PROCESSING). Required scope: customer:write.
Note: owners can also be created and edited as part of POST /api/external/customer and PUT /api/external/customer/{id} via the owners array — only deletion has its own dedicated endpoint.
DELETE
/
api
/
external
/
customer
/
{customer}
/
owner
/
{owner}
Delete a customer owner
Was this page helpful?